Download it now!
Bug 106062 - FILESAVE: RT: Tab-space inserted between footnote text and number - usually only seen in Word
Summary: FILESAVE: RT: Tab-space inserted between footnote text and number - usually o...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: needsMSO target:6.1.0
Keywords: filter:doc, filter:docx, filter:rtf
Depends on:
Blocks: Footnote-Endnote DOCX
  Show dependency treegraph
 
Reported: 2017-02-17 14:35 UTC by Buovjaga
Modified: 2018-08-10 19:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX to test (28.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-02-17 14:35 UTC, Buovjaga
Details
Footnotes with spaces between them (66.76 KB, image/png)
2017-02-17 15:15 UTC, Marco A.G.Pinto
Details
Footnote behaviour after doc and docx conversion (824 bytes, text/plain)
2017-12-10 11:53 UTC, nokidding
Details
nonhangingFootnote.odt: saving as .docx will insert a tab before footnote text (9.49 KB, application/vnd.oasis.opendocument.text)
2018-03-27 05:59 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2017-02-17 14:35:58 UTC
Created attachment 131294 [details]
DOCX to test

1. Open attached DOCX in LibO
2. Save as DOCX
3. Open the resulting file in MS Office

There is now a massive space between footnotes and their numbers.
LibreOffice itself displays them fine.

Marco: as you have MSO, could you confirm?

Win 8.1 32-bit
MSO 2013
LibO Version: 5.4.0.0.alpha0+
Build ID: 9077f1f110a35ed223fb47e9eaa329dd19528e38
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-16_23:34:39
Locale: fi-FI (fi_FI); Calc: group
Comment 1 Marco A.G.Pinto 2017-02-17 15:15:09 UTC
Created attachment 131295 [details]
Footnotes with spaces between them

I followed your steps and, in Word 2016, We do get 1 line space intervals between the footnotes.
Comment 2 Heiko Tietze 2017-02-17 20:20:08 UTC
Discussion started at bug 105932 about a missing space. Footnote style is applied correctly in LibO as indentation and not per adding a character. If MS Word does it wrong we should convert the space on loading into an indentation and save if as a space in case of export to docx. Spoiling styles is awkward.
Comment 3 nokidding 2017-12-10 11:53:40 UTC
Created attachment 138344 [details]
Footnote behaviour after doc and docx conversion
Comment 4 nokidding 2017-12-10 11:58:16 UTC
I want to add to  attachment 131294 [details], that the footnote misbehaviour is at both ends of our team, people with MO and myself with LO as the screenshot hopefully make it clear.
Comment 5 Justin L 2018-03-22 13:02:41 UTC
Inherited from OOo. LO always adds a tab to every MS exported footnote, but in the case (like this one) where the paragraph margin is zero, it should not add that fake tab.  (sw/source/filter/ww8/wrtw8nds.cxx:OutputTextNode comment Insert tab for aesthetic purposes)
Comment 6 Justin L 2018-03-27 05:59:35 UTC
Created attachment 140902 [details]
nonhangingFootnote.odt: saving as .docx will insert a tab before footnote text

If the "footnote" paragraph style is modified (in this case to margin=0, firstline=5cm), then you can see the "aesthetic tab" that LO adds when exporting to MSO formats.  LO ALWAYS adds the tab on export as I mentioned earlier. USUALLY LO removes the tab on import (but see bug 105095 for the .docx exception).
Comment 7 Justin L 2018-03-30 18:58:25 UTC
proposed fix:
-https://gerrit.libreoffice.org/52171 tdf#106062 ooxmlexport: hanging indent ? aesthetic tab : no
-https://gerrit.libreoffice.org/52172 tdf#106062 ooxmlimport: skip fake tab only on hanging indent
-https://gerrit.libreoffice.org/52173 tdf#106062 ww8import: skip fake tab only on hanging indent
Comment 8 Commit Notification 2018-04-08 13:20:39 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=818619b0f2f7813decb26d0b14362dec76a8ff37

tdf#106062 ooxmlexport: hanging indent ? aesthetic tab : no

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-04-24 06:58:21 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=946fee3ef1e319ad63a599b72dbd55ef52cbc640

tdf#106062 ooxmlimport: skip fake tab only on hanging indent

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-04-28 04:15:57 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3783c0af4bd21eb9c001aadc60c660c06a47779

tdf#106062 ww8import: skip fake tab only on hanging indent

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-08-10 19:09:02 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f13a7100cfa1d76a1a27ffb9e986d627df20d4c0

cleanup tdf#106062 writerfilter: use new GetAnyProperty function

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.